drbd-user March 2010 archive
Main Archive Page > Month Archives  > drbd-user archives
drbd-user: Re: [DRBD-user] DRBD module won't load

Re: [DRBD-user] DRBD module won't load

From: <Wood.Chris_at_nospam>
Date: Thu Mar 18 2010 - 20:25:05 GMT
To: drbd-user@lists.linbit.com

Matt, thanks for your reply.

I did go change my kernel and I was able to compile and install the drbd
module on server0 - now I can't on server1, even though it's running the
exact same kernel, because it won't install the right version of gcc.

I tried yum install kmod-drbd and that's what it gave me. yum doesn't seem
to care if the versions match.

So I did a make rpm...
You have now:
-rw-r--r-- 1 root root 212405 Mar 18 11:11
dist/RPMS/i386/drbd-8.3.4-3.i386.rpm
-rw-r--r-- 1 root root 1012695 Mar 18 11:11
dist/RPMS/i386/drbd-km-2.6.18_8.1.15.3.1.el5xen-8.3.4-3.i386.rpm

Looks nice, but I have drbd-8.3.6 installed... oops. So I downloaded the
source for drbd-8.3.6

Well wouldn't ya know it

make module does not work
make rpm does not work

/usr/bin/rpmbuild -tb \
            --define "kernelversion " \
            --define "kdir /usr/src/linux" \
             \
            drbd-8.3.6.tar.gz
error: Macro %kernelversion has empty body
error: Macro %kernelversion has empty body
error: Macro %kernelversion has empty body
error: Name field must be present in package: (main package)
error: Version field must be present in package: (main package)
error: Release field must be present in package: (main package)
error: Summary field must be present in package: (main package)
error: Group field must be present in package: (main package)
error: License field must be present in package: (main package)
make: *** [rpm] Error 1

So now what? The rpm build seems to only work with 8.3.4...

I noticed in the 8.3.6 Makefile, module: and rpm: are prefaced by .PHONY:
.. so how do I get around this?

Or can I just install the
drbd-km-2.6.18_8.1.15.3.1.el5xen-8.3.4-3.i386.rpm on both machines and be
done with it?

Thanks for your help

Chris

From: "Matt Graham" <danceswithcrows@usa.net>
To: <drbd-user@lists.linbit.com>
Date: 03/18/2010 03:33 PM
Subject: Re: [DRBD-user] DRBD module won't load
Sent by: drbd-user-bounces@lists.linbit.com

From: Wood.Chris@tatravelcenters.com
> I'm trying to start drbd on an Oracle Virtual Server (Xen) machine.
> Starting DRBD resources: Can not load the drbd module.
> $ rpm -qa|grep drbd
> drbd-8.3.6-1.el5
> kmod-drbd-8.0.16-5.el5_3

drbd 8.3.6, drbd kernel module 8.0.16. The two really should match, no?
And which /lib/modules/2.6.* dir did the module get installed in? If it
got put in the wrong dir (possible) then modprobe won't find it. Where
did the kernel module RPM come from? It has to be built against the
kernel that's running, otherwise it won't work.

> Any help would be much appreciated - do I have to build the module from
> scratch?

Building the kernel module from source should be pretty easy; just go
into the drbd source dir and do "make rpm
KDIR=/usr/src/kernels/2.6.18-blah"
and you should get RPMs for userland and kernelspace drbd components.
Not applicable to very recent kernels since drbd is now in the vanilla
kernel source, but CentOS 5 doesn't have a recent kernel.

-- Matt G / Dances With Crows The Crow202 Blog: http://crow202.org/wordpress/ There is no Darkness in Eternity/But only Light too dim for us to see _______________________________________________ drbd-user mailing list drbd-user@lists.linbit.com http://lists.linbit.com/mailman/listinfo/drbd-user _______________________________________________ drbd-user mailing list drbd-user@lists.linbit.com http://lists.linbit.com/mailman/listinfo/drbd-user